List App Versions

GET https://api.ap1.datadoghq.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.ap2.datadoghq.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.datadoghq.eu/api/v2/app-builder/apps/{app_id}/versionshttps://api.ddog-gov.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.us2.ddog-gov.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.uk1.datadoghq.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.datadoghq.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.us3.datadoghq.com/api/v2/app-builder/apps/{app_id}/versionshttps://api.us5.datadoghq.com/api/v2/app-builder/apps/{app_id}/versions

Información general

List the versions of an app. This endpoint is paginated. This endpoint requires all of the following permissions:

  • apps_run
  • connections_read

  • Argumentos

    Parámetros de ruta

    Nombre

    Tipo

    Descripción

    app_id [required]

    string

    The ID of the app.

    Cadenas de consulta

    Nombre

    Tipo

    Descripción

    limit

    integer

    The number of versions to return per page.

    page

    integer

    The page number to return.

    Respuesta

    OK

    A paginated list of versions for an app.

    Expand All

    Campo

    Tipo

    Descripción

    data

    [object]

    The list of app versions.

    attributes

    object

    Attributes describing an app version.

    app_id

    uuid

    The ID of the app this version belongs to.

    created_at

    date-time

    Timestamp of when the version was created.

    has_ever_been_published

    boolean

    Whether this version has ever been published.

    name

    string

    The optional human-readable name of the version.

    updated_at

    date-time

    Timestamp of when the version was last updated.

    user_id

    int64

    The ID of the user who created the version.

    user_name

    string

    The name (or email) of the user who created the version.

    user_uuid

    uuid

    The UUID of the user who created the version.

    version

    int64

    The version number of the app, starting at 1.

    id

    uuid

    The ID of the app version.

    type

    enum

    The app-version resource type. Allowed enum values: appVersions

    default: appVersions

    meta

    object

    Pagination metadata.

    page

    object

    Information on the total number of apps, to be used for pagination.

    totalCount

    int64

    The total number of apps under the Datadog organization, disregarding any filters applied.

    totalFilteredCount

    int64

    The total number of apps that match the specified filters.

    {
      "data": [
        {
          "attributes": {
            "app_id": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
            "created_at": "2019-09-19T10:00:00.000Z",
            "has_ever_been_published": true,
            "name": "v1.2.0 - bug fix release",
            "updated_at": "2019-09-19T10:00:00.000Z",
            "user_id": "integer",
            "user_name": "jane.doe@example.com",
            "user_uuid": "65bb1f25-52e1-4510-9f8d-22d1516ed693",
            "version": 3
          },
          "id": "9e20cbaf-68da-45a6-9ccf-54193ac29fa5",
          "type": "appVersions"
        }
      ],
      "meta": {
        "page": {
          "totalCount": "integer",
          "totalFilteredCount": "integer"
        }
      }
    }

    Bad Request

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Not Found

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Ejemplo de código

                      # Path parameters
    export app_id="65bb1f25-52e1-4510-9f8d-22d1516ed693"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/app-builder/apps/${app_id}/versions" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    List App Versions returns "OK" response
    """
    
    from os import environ
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.app_builder_api import AppBuilderApi
    
    # there is a valid "app" in the system
    APP_DATA_ID = environ["APP_DATA_ID"]
    
    configuration = Configuration()
    with ApiClient(configuration) as api_client:
        api_instance = AppBuilderApi(api_client)
        response = api_instance.list_app_versions(
            app_id=APP_DATA_ID,
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
    # List App Versions returns "OK" response
    
    require "datadog_api_client"
    api_instance = DatadogAPIClient::V2::AppBuilderAPI.new
    
    # there is a valid "app" in the system
    APP_DATA_ID = ENV["APP_DATA_ID"]
    p api_instance.list_app_versions(APP_DATA_ID)
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
    // List App Versions returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    	"github.com/google/uuid"
    )
    
    func main() {
    	// there is a valid "app" in the system
    	AppDataID := uuid.MustParse(os.Getenv("APP_DATA_ID"))
    
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewAppBuilderApi(apiClient)
    	resp, r, err := api.ListAppVersions(ctx, AppDataID, *datadogV2.NewListAppVersionsOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `AppBuilderApi.ListAppVersions`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `AppBuilderApi.ListAppVersions`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
    // List App Versions returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.AppBuilderApi;
    import com.datadog.api.client.v2.model.ListAppVersionsResponse;
    import java.util.UUID;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        AppBuilderApi apiInstance = new AppBuilderApi(defaultClient);
    
        // there is a valid "app" in the system
        UUID APP_DATA_ID = null;
        try {
          APP_DATA_ID = UUID.fromString(System.getenv("APP_DATA_ID"));
        } catch (IllegalArgumentException e) {
          System.err.println("Error parsing UUID: " + e.getMessage());
        }
    
        try {
          ListAppVersionsResponse result = apiInstance.listAppVersions(APP_DATA_ID);
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling AppBuilderApi#listAppVersions");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
    // List App Versions returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_app_builder::AppBuilderAPI;
    use datadog_api_client::datadogV2::api_app_builder::ListAppVersionsOptionalParams;
    
    #[tokio::main]
    async fn main() {
        // there is a valid "app" in the system
        let app_data_id =
            uuid::Uuid::parse_str(&std::env::var("APP_DATA_ID").unwrap()).expect("Invalid UUID");
        let configuration = datadog::Configuration::new();
        let api = AppBuilderAPI::with_config(configuration);
        let resp = api
            .list_app_versions(
                app_data_id.clone(),
                ListAppVersionsOptionalParams::default(),
            )
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
    /**
     * List App Versions returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    const apiInstance = new v2.AppBuilderApi(configuration);
    
    // there is a valid "app" in the system
    const APP_DATA_ID = process.env.APP_DATA_ID as string;
    
    const params: v2.AppBuilderApiListAppVersionsRequest = {
      appId: APP_DATA_ID,
    };
    
    apiInstance
      .listAppVersions(params)
      .then((data: v2.ListAppVersionsResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"